/*
   Fichier trtligne.h
   Auteur Bernard Chardonneau
*/


/* liste des valeurs du champ Content-Type */

#define ModeTexte    2  // masque pour mode text/plain et text/html
#define Multipart    4  // masque pour tous les modes multipart

#define TextPlain    2  // text/plain (le texte du message qu'on va lire)
#define TextHtml     3  // text/html  (format texte des messages publicitaires)
#define MultipAlter  5  // multipart/alternative (text/plain puis text/html)
#define MultipMixed  6  // multipart/mixed (ncessaire si pices jointes)
#define MultipRep    7  // multipart/report (plusieurs sections texte)
#define Mesrfc822    8  // message/rfc822 (trait comme section texte)
#define AutreType    0  // ni multipart, ni aucun des types texte prcdents


/* prototypes des fonctions de la bibliothque
   trtligne appeles de l'extrieur */

int  recup_ctype ();
int  mem_encodage ();
int  mem_charset ();
void majligne ();
int  posnomfic ();


/* variable globales  l'application utilise par trtligne
   (pour viter des tonnes de passages de paramtres) */

#ifdef appli
     int encodage_texte;     // mode d'encodage du texte
#else
     extern int encodage_texte;
#endif
